## gate.gui
Interface Handle

All Superinterfaces:
  EventListener, ProgressListener, StatusListener

All Known Implementing Classes:
  NameBearerHandle

public interface Handle
extends ProgressListener, StatusListener

Interface for classes used to store the information about an open resource. Such information will include icon to be used for tree components, popup menu for right click events, etc.

Method Summary
`Icon` `getIcon()`
`JComponent` `getLargeView()` Returns the large view for this resource.
`JPopupMenu` `getPopup()`
`JComponent` `getSmallView()` Returns a GUI component to be used as a small viewer/editor, e.g.
`Object` `getTarget()`
`String` `getTitle()`
`String` `getTooltipText()`
`Window` `getWindow()` Returns the top level GUI component that is a parent to all other GUI components

Methods inherited from interface gate.event.ProgressListener
`processFinished, progressChanged`

Methods inherited from interface gate.event.StatusListener
`statusChanged`

Method Detail

### getIcon

    public Icon getIcon()

### getTitle

    public String getTitle()

### getSmallView

    public JComponent getSmallView()

  Returns a GUI component to be used as a small viewer/editor, e.g. below the main tree in the Gate GUI for the selected resource

### getLargeView

    public JComponent getLargeView()

  Returns the large view for this resource. This view will go into the main display area.

### getPopup

    public JPopupMenu getPopup()

### getTooltipText

    public String getTooltipText()

### getTarget

    public Object getTarget()

### getWindow

    public Window getWindow()

  Returns the top level GUI component that is a parent to all other GUI components